Find auto-swap by ID
Getting auto-swap data by its ID
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
idstringRequiredExample:
Auto-swap ID
6b088e33-4da8-42f0-a9d9-8819b741f40bResponses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/auto-swaps/get
POST /api-gateway/auto-swaps/get HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 45
{
"id": "6b088e33-4da8-42f0-a9d9-8819b741f40b"
}200Success
{
"success": true,
"response": {
"id": "6b088e33-4da8-42f0-a9d9-8819b741f40b",
"organizationId": "3c0577cb-a0e8-45bb-873d-c972fec323a3",
"status": "PENDING",
"message": null,
"addressRiskLevel": "Low",
"currencyFrom": "USDT",
"networkFrom": "bsc",
"currencyTo": "BTC",
"networkTo": "bitcoin",
"amountFrom": "1000",
"amountFromUSD": "1000",
"amountTo": "0.1",
"amountToUSD": "990",
"amountToReceive": "0.999",
"rate": "10000",
"blockchainFeeFrom": "0.34",
"blockchainFeeFromUSD": "0.34",
"blockchainFeeTo": "0.001",
"blockchainFeeToUSD": "10",
"serviceFee": "10",
"webhookUrl": "https://merchant.domain/webhooks/...",
"createdAt": "2026-01-29T11:14:13.690Z",
"updatedAt": "2026-01-29T11:14:13.690Z"
}
}Last updated